cURL
curl --request POST \
--url https://api.siftstack.com/api/v1/resource-attribute-enum-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/resource-attribute-enum-values"
payload = {
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/resource-attribute-enum-values"
payload := strings.NewReader("{\n \"resourceAttributeKeyId\": \"<string>\",\n \"displayName\": \"<string>\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"resourceAttributeEnumValue": {
"resourceAttributeEnumValueId": "<string>",
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ResourceAttributeService
Post apiv1resource attribute enum values
POST
/
api
/
v1
/
resource-attribute-enum-values
cURL
curl --request POST \
--url https://api.siftstack.com/api/v1/resource-attribute-enum-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/resource-attribute-enum-values"
payload = {
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/resource-attribute-enum-values"
payload := strings.NewReader("{\n \"resourceAttributeKeyId\": \"<string>\",\n \"displayName\": \"<string>\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"resourceAttributeEnumValue": {
"resourceAttributeEnumValueId": "<string>",
"resourceAttributeKeyId": "<string>",
"displayName": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"modifiedByUserId": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
A successful response.
Represents a possible enumerable value for ENUM type resource_attribute keys. Users can add new enum values as needed.
Show child attributes
Show child attributes
Was this page helpful?
⌘I